%define name     piklab-prog-qt4
%define version  0.14.2
%define release  1mdk
%define unstable 1

Name:           %{name}
Summary:        Command-line programmer and debugger for PIC and dsPIC microcontrollers
Version:        %{version}
Release:        %{release}
Source0:        http://prdownloads.sourceforge.net/piklab/piklab-%{version}.tar.bz2
URL:            http://piklab.sourceforge.net
BuildRequires:  qt4-devel libusb-devel libreadline-devel
Requires:       libqtcore4 libqtxml4 libqt3support4 libusb
Group:          More Applications/Development/Development Environments
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:        Gnu Public License
Packager:       hadacek@kde.org
Icon:           piklab.xpm
Conflicts:      piklab piklab-prog-qt3
Provides:       piklab-prog piklab-hex

%description
piklab-prog is a command-line programmer and debugger for PIC and dsPIC microcontrollers.
It supports GPSim, and several Microchip and direct programmers.

%prep
%setup -q -n piklab-%{version}

%build
export QTDIR=%_prefix/%{_lib}/qt4
export LD_LIBRARY_PATH=$QTDIR/%{_lib}:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$PATH
export QTLIB=$QTDIR/%{_lib}
cd $RPM_BUILD_DIR/piklab-%{version}
qmake piklab-prog.pro
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
cd $RPM_BUILD_DIR/piklab-%{version}/src/piklab-prog
install -s -m 755 piklab-prog $RPM_BUILD_ROOT/usr/bin/piklab-prog
cd $RPM_BUILD_DIR/piklab-%{version}/src/piklab-hex
install -s -m 755 piklab-hex $RPM_BUILD_ROOT/usr/bin/piklab-hex

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README INSTALL COPYING Changelog TODO
%_bindir/piklab-prog
%_bindir/piklab-hex

%changelog
* Mon Apr 9 2007 Nicolas Hadacek <hadacek@kde.org> 0.14.2-1mdk
- fixes + new features
* Sun Mar 11 2007 Nicolas Hadacek <hadacek@kde.org> 0.14.1-1mdk
- fixes + new feature
* Sun Mar 4 2007 Nicolas Hadacek <hadacek@kde.org> 0.14.0-1mdk
- new version
* Thu Feb 8 2007 Nicolas Hadacek <hadacek@kde.org> 0.13.3-1mdk
- fixes
* Wed Jan 31 2007 Nicolas Hadacek <hadacek@kde.org> 0.13.2-1mdk
- fixes
* Sun Jan 28 2007 Nicolas Hadacek <hadacek@kde.org> 0.13.1-1mdk
- fixes
* Fri Jan 19 2007 Nicolas Hadacek <hadacek@kde.org> 0.13.0-1mdk
- new version
* Mon Oct 16 2006 Nicolas Hadacek <hadacek@kde.org> 0.12.2-1mdk
- fixes
* Sun Oct 15 2006 Nicolas Hadacek <hadacek@kde.org> 0.12.1-1mdk
- fixes
* Sun Oct 1 2006 Nicolas Hadacek <hadacek@kde.org> 0.12.0-1mdk
- new version
* Tue Sep 5 2006 Nicolas Hadacek <hadacek@kde.org> 0.11.2-1mdk
- more fixes
* Wed Aug 23 2006 Nicolas Hadacek <hadacek@kde.org> 0.11.1-1mdk
- some fixes
* Sun Aug 20 2006 Nicolas Hadacek <hadacek@kde.org> 0.11.0-1mdk
- new version
